Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rtrep.v2
Class OInvoke

    java.lang.Object
      org.apache.ode.bpel.rtrep.v2.OBase
          org.apache.ode.bpel.rtrep.v2.OAgent
              org.apache.ode.bpel.rtrep.v2.OActivity
                  org.apache.ode.bpel.rtrep.v2.OInvoke

All Implemented Interfaces:
  java.io.Serializable, ActivityModel

    public class OInvoke

extends OActivity

Compiled rerpresentation of the BPEL `<invoke>` activity.

See Also:
  Serialized Form

Field Summary
`java.util.List<OScope.CorrelationSet>` | `assertCorrelationsInput` Correlation sets asserted on input.
`java.util.List<OScope.CorrelationSet>` | `assertCorrelationsOutput` Correlation sets asserted on output.
`java.util.List<OScope.CorrelationSet>` | `initCorrelationsInput` Correlation sets initialized on the input message.
`java.util.List<OScope.CorrelationSet>` | `initCorrelationsOutput` Correlation sets initialized on the input message.
`OScope.Variable` | `inputVar`
`javax.wsdl.Operation` | `operation`
`OScope.Variable` | `outputVar`
`OPartnerLink` | `partnerLink`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`failureHandling, joinCondition, name, sourceLinks, suppressJoinFailure, targetLinks`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OAgent
`incomingLinks, nested, outgoingLinks, variableRd, variableWr`

Fields inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`debugInfo`

Constructor Summary
`OInvoke(OProcess owner, OActivity parent)`

Method Summary

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OActivity
`getFailureHandling, getParent, getType, setFailureHandling, toString`

Methods inherited from class org.apache.ode.bpel.rtrep.v2.OBase
`equals, getExtensibilityElements, getId, getOwner, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### partnerLink

    public OPartnerLink partnerLink

### inputVar

    public OScope.Variable inputVar

### outputVar

    public OScope.Variable outputVar

### operation

    public javax.wsdl.Operation operation

### initCorrelationsInput

    public final java.util.List<OScope.CorrelationSet> initCorrelationsInput

  Correlation sets initialized on the input message.

### initCorrelationsOutput

    public final java.util.List<OScope.CorrelationSet> initCorrelationsOutput

  Correlation sets initialized on the input message.

### assertCorrelationsInput

    public final java.util.List<OScope.CorrelationSet> assertCorrelationsInput

  Correlation sets asserted on input.

### assertCorrelationsOutput

    public final java.util.List<OScope.CorrelationSet> assertCorrelationsOutput

  Correlation sets asserted on output.

Constructor Detail

### OInvoke

    public OInvoke(OProcess owner,
                   OActivity parent)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD